0 Replies Latest reply on Oct 15, 2014 4:43 AM by roberto gennari

    Need Help in ICreateArc Method (IModeler) Mouse events VB.Net

    roberto gennari

      Hello,

      I wrote a simple macro that I would like to change, which creates a temporary arc in a sketch.

      I would like to turn it in such a way that the arc moves with the mouse so as to simulate a ingobro, but do not know which event on Sure of a add-in insert my code.

       

      Could you help me with some code if possible? I I program in VB.net.

       

       

      This is my code in VBA that creates the temporary arc.

       

       

      Sub main()

      Dim swApp As SldWorks.SldWorks
      Dim swPart As SldWorks.PartDoc
      Dim swCurve As SldWorks.Curve
      Dim trimmed_curve As SldWorks.Curve
      Dim swFeature As SldWorks.Feature
      Dim swModeler As SldWorks.Modeler
      Dim swBody As SldWorks.Body2

      Dim nPt(2) As Double
      Dim vPt As Variant

      Dim nPte(2) As Double
      Dim vDir As Variant

      Dim nStart(2) As Double
      Dim vStart As Variant

      Dim nEnd(2) As Double
      Dim vEnd As Variant

      Dim Radius As Double

      Dim retval As Long

      Set swApp = CreateObject("SldWorks.Application")

      Set swPart = swApp.ActiveDoc

      Set swModeler = swApp.GetModeler

      Radius = 0.025

      nPt(0) = 0
      nPt(1) = 0
      nPt(2) = 0
      vPt = nPt

      nPte(0) = 0
      nPte(1) = 0
      nPte(2) = 0.0000001
      vDir = nPte

      nStart(0) = 0.025
      nStart(1) = 0#
      nStart(2) = 0#
      vStart = nStart

      nEnd(0) = 0.025
      nEnd(1) = 0#
      nEnd(2) = 0#
      vEnd = nEnd

      Set swCurve = swModeler.CreateArc(vPt, vDir, Radius, vStart, vEnd)
      '
      Set swBody = swCurve.CreateWireBody()
      '
      retval = swBody.Display3(swPart, 255, swTempBodySelectable)

      Stop

      End Sub

       

       

      It's very important for me

       

      Thanks to all